fixtures/scripts/push-and-pull.sh in zold-0.14.17 vs fixtures/scripts/push-and-pull.sh in zold-0.14.18
- old
+ new
@@ -2,14 +2,14 @@
port=$(reserve_port)
mkdir server
cd server
-zold node --trace --invoice=NOPREFIX@ffffffffffffffff \
+zold node --trace --invoice=PUSHNPULL@ffffffffffffffff \
--host=localhost --port=${port} --bind-port=${port} \
--threads=0 --standalone &
pid=$!
-trap "kill -9 $pid" EXIT
+trap "halt_nodes ${port}" EXIT
cd ..
wait_for_port ${port}
zold remote clean